Subject: Input for draft-paxson-tcp-rto-00.txt

From: Reiner Ludwig <[email-masked]>
Date: Wed, 24 Nov 1999 06:23:06 +0100

Please consider the following paper as input for draft-paxson-tcp-rto-00.txt.

///Reiner

http://iceberg.cs.berkeley.edu/papers/Ludwig-Eifel-Xmit/index.html

Title: "The Eifel Retransmission Timer"

Abstract:
We analyze two alternative retransmission timers for the Transmission Control
Protocol (TCP). We first study the retransmission timer of TCP-Lite which is
considered to be the current de facto standard for TCP implementations. After
revealing four major problems of TCP-Lite's retransmission timer, we propose a
new retransmission timer, named the Eifel-Xmit-Timer, that eliminates those
problems. The strength of our work lies in its hybrid analysis methodology. We
develop models of both retransmission timers for the class of network-limited
TCP bulk data transfers in steady state. Using those models, we predict the
problems of TCP-Lite's retransmission timer and develop the Eifel-Xmit-Timer.
We then validate our model-based analysis through measurements in a real
network that yield the same results.